<div class="container-cambiar-contrasenia">
  <div class="container">
    <h3>Cambiar Contraseña</h3>

    <div class="txt_field">
      <input type="password" id="pass" class="inpt" autocomplete="off" placeholder=" " [(ngModel)]="password">
      <i class="uil uil-lock" *ngIf="password.length === 0"></i>
      <label for="pass" class="inpt_label">Contraseña</label>
    </div>

    <div class="txt_field">
      <input type="password" id="repPass" class="inpt" autocomplete="off" placeholder=" " [(ngModel)]="password2">
      <i class="uil uil-lock" *ngIf="password2.length === 0"></i>
      <label for="repPass" class="inpt_label">Repita contraseña</label>
    </div>

    <div class="containerActions">
      <button class="btn btn-primary-1" (click)="Actualizar()">Actualizar contraseña</button>
    </div>
  </div>
</div>

<app-loading-overlay *ngIf="mostrarSpinner" [mensaje]="'Actualizando contraseña...'"></app-loading-overlay>
